Overview

This endpoint returns the tournament structure for a given tournament_id, including:
  • Tournament metadata (name, season, dates, gender, age group, organizer)
  • Stages (e.g., Group Stage, Round of 16, etc.)
  • Groups within each stage
  • Teams standings per group
  • Matches per group (with officials, stadium, teams, and score)
GET /api.php?module=api&api=TournamentStructure&version=V2&tournament_id=[TOURNAMENT_ID]&key=[API_KEY]

Parameters

tournament_id
string
The tournament ID to load the structure for (example: 444).
lang
string
en for English, ar for Arabic
version
string
The API version (use V2).
response
string
Output format, you can use json or xml
module
string
Always use api
api
string
The API name, use “TournamentStructure”
key
string
The API key

Example Request

curl --request GET \
  --url "https://korastats.com/ks9/api.php?module=api&api=TournamentStructure&version=V2&response=json&lang=en&tournament_id=444&key=YOUR_API_KEY"
{
  "result": "boolean",
  "title": "string",
  "message": "string",
  "object": {
    "_type": "TOURNAMENT",
    "id": "integer",
    "tournament": "string",
    "season": "string",
    "startDate": "YYYY-MM-DD",
    "endDate": "YYYY-MM-DD",
    "gender": "string",

    "ageGroup": {
      "_type": "AGE GROUP",
      "id": "integer",
      "name": "string",
      "age": {
        "min": "integer|null",
        "max": "integer|null"
      }
    },

    "organizer": {
      "_type": "ORGANIZER",
      "id": "integer",
      "name": "string",
      "abbrev": "string",
      "country": "object|null",
      "continent": "object|null"
    },

    "stages": [
      {
        "_type": "STAGE",
        "id": "integer",
        "stage": "string",
        "order": "integer",
        "rounds": "integer",
        "type": "string",
        "groups": [
          {
            "_type": "GROUP",
            "id": "integer",
            "group": "string",

            "teams": [
              {
                "_type": "TEAM",
                "id": "integer",
                "team": "string",
                "matches": "integer",
                "points": "integer",
                "goals_scored": "integer",
                "goals_conceded": "integer",
                "goals_difference": "integer",
                "won": "integer",
                "draw": "integer",
                "lost": "integer",
                "goals_scored_home": "integer",
                "goals_conceded_home": "integer",
                "goals_difference_home": "integer",
                "goals_scored_away": "integer",
                "goals_conceded_away": "integer",
                "goals_difference_away": "integer",
                "lastupdate": "YYYY-MM-DD HH:MM:SS"
              }
            ],

            "matches": [
              {
                "_type": "MATCH",
                "id": "integer",
                "dateTime": "YYYY-MM-DD HH:MM:SS",
                "lastUpdateDateTime": "YYYY-MM-DD HH:MM:SS",

                "stadium": {
                  "_type": "STADIUM",
                  "id": "integer",
                  "name": "string"
                },

                "teams": {
                  "home": {
                    "_type": "TEAM",
                    "id": "integer",
                    "side": "HOME",
                    "team": "string",
                    "coach": {
                      "_type": "COACH",
                      "id": "integer",
                      "name": "string",
                      "dob": "YYYY-MM-DD|null",
                      "gender": "string|null",
                      "nationality": "string|object|null"
                    }
                  },
                  "away": {
                    "_type": "TEAM",
                    "id": "integer",
                    "side": "AWAY",
                    "team": "string",
                    "coach": {
                      "_type": "COACH",
                      "id": "integer",
                      "name": "string",
                      "dob": "YYYY-MM-DD|null",
                      "gender": "string|null",
                      "nationality": "string|object|null"
                    }
                  }
                },

                "score": {
                  "home": "integer|null",
                  "away": "integer|null"
                },

                "referee": {
                  "_type": "REFEREE",
                  "id": "integer",
                  "name": "string",
                  "dob": "YYYY-MM-DD|null",
                  "nationality": "string|object|null"
                },
                "assistant1": "referee_object|null",
                "assistant2": "referee_object|null",
                "fourthOfficial": "referee_object|null"
              }
            ]
          }
        ]
      }
    ]
  }
}